# KeyConfig(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``KeyConfig`(bpy_struct)

  Input configuration, including keymaps

  `is_user_defined`

    Indicates that a keyconfig was defined by the user

    Type: | boolean, default False, (readonly)

  `keymaps`

    Key maps configured as part of this configuration

    Type: | `KeyMaps` `bpy_prop_collection` of `KeyMap`, (readonly)

  `name`

    Name of the key configuration

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`KeyConfigurations.active` `KeyConfigurations.addon` `KeyConfigurations.default` `KeyConfigurations.new` | `KeyConfigurations.remove` `KeyConfigurations.user` `WindowManager.keyconfigs`